[help] win7+nodejs0.12.7不支持es6么?
发布于 4 年前 作者 huangshaohui 3312 次浏览 最后一次编辑是 3 年前 来自 问答

我用了es6里的class,启动就报错。nodejs官方文档里说默认是支持class特性的,不知道是哪里的问题。 QQ截图20150908232650.jpg

5 回复

我觉得并不是默认吧 这个明显报错了 你试试-harmony 或者用iojs吧 自豪地采用 CNodeJS ionic

你是用的strict模式嘛 自豪地采用 CNodeJS ionic

把node升级到最新的4.0了 然后就正常了

使用4.0版本,启动时加上:"- -use_strict"参数。

回到顶部